### Class

# GeglTileHandler

#### Description

    class Gegl.TileHandler : Gegl.TileSource
    {
      source: GeglTileSource*,
      priv: GeglTileHandlerPrivate*
    }

No description available.

#### Ancestors

- GeglTileSource
- GObject

#### Descendants

- GeglBuffer

#### Instance methods

###### gegl_tile_handler_create_tile

Create a new tile associated with this tile handler.

###### gegl_tile_handler_damage_rect

No description available.

###### gegl_tile_handler_damage_tile

No description available.

###### gegl_tile_handler_dup_tile

Create a duplicate of `tile`, associated with this tile handler.

###### gegl_tile_handler_get_source_tile

Fetches the tile at the given coordinates from `handler` source. If the tile doesn’t exist, or if `handler` doesn’t have a source, creates a new tile associated with this tile handler.

###### gegl_tile_handler_get_tile

Fetches the tile at the given coordinates from `handler`. If the tile doesn’t exist, creates a new tile associated with this tile handler.

###### gegl_tile_handler_lock

No description available.

###### gegl_tile_handler_set_source

No description available.

###### gegl_tile_handler_unlock

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gegl.TileHandler:source

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GeglTileHandlerClass {
      GeglTileSourceClass parent_class;

    }

No description available.

###### Class members

`parent_class: GeglTileSourceClass`

  No description available.